org.eclipse.eef.core.api

## Interface IEEFDomainClassTester

All Known Implementing Classes:
  EEFDomainClassTester

    public interface IEEFDomainClassTester

This interface is used to test if a class matches a given domain class definition.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `eInstanceOf(org.eclipse.emf.ecore.EObject eObject, java.lang.String domainClass)` Indicates if the given eObject matches the given domainClass.

### Method Detail

#### eInstanceOf

    boolean eInstanceOf(org.eclipse.emf.ecore.EObject eObject,
                        java.lang.String domainClass)

Indicates if the given eObject matches the given domainClass.

Parameters:
  `eObject` - The EObject
  `domainClass` - The domain class
Returns:
  `true` if the eObject matches the given domain, `false` otherwise